Firmware Corrupt, can’t update to 4.5.5A

Hey. I have very big problem with my Meizu MX4.
I have ver 4.2.6 A of Flyme.
I want to upgrade my phone to ver 4.5.5 A but when I want to do this all the time I see words “Firmware corrupt”…

I try downloading update by phone and PC, updating from recovery mode and not, all was finished the same “Firmware corrupt”

I dont have idea what do I wrong…

Maybe someone have the same problem and can show me how to solve it.

Pleas help me :/

Admin

@amisss22 said:

Hey. I have very big problem with my Meizu MX4.
I have ver 4.2.6 A of Flyme.
I want to upgrade my phone to ver 4.5.5 A but when I want to do this all the time I see words “Firmware corrupt”…

I try downloading update by phone and PC, updating from recovery mode and not, all was finished the same “Firmware corrupt”

I dont have idea what do I wrong…

Maybe someone have the same problem and can show me how to solve it.

Pleas help me :/

It would be good to verify the md5 sum of the downloaded firmware.
Here a free tool for Windows:
http://winmd5.com/

The md5 sum for 4.5.5A is:
244adb1e6ade4303b1909d3ed3a05e09

P.S.: I moved this topic to the MX4 Q&A section as it has NOTHING to do with General Chat.

Contributor

@AOKP He already tried this, or I told him to do it and he said that he tried it.

The problem is somewhere else.

Admin

Then it might be the USB cable.
Check the md5 when the file is on the device’s storage.

I checked it. Its correct.
Anybody have some ideas?

Well, did you read the specific firmware topic? There is a whole bunch of people who have this problem. Have a look overthere.

Where?
I dont see this…

I checked first ver on my phone. Its I not A.
This might be a problem with the update ?

Contributor

@amisss22 said:

I checked first ver on my phone. Its I not A.
This might be a problem with the update ?

what do you mean with first ver. What Version do you have on your phone?

I mean the version at the first turning on.
Now I have 4.2.6A, but first after buying phone was with some ver I

Maybe I must back to ver I of Flyme??

Contributor

@amisss22 you could try this, but I doubt it will help you ;)

two guys discuss your problem there shortly, try to get hold of em, maybe they have a solution.
https://meizufans.eu/forum/topic/2656/flyme-4-5-5-stable-mx4/39?page=2

try an older one, so not the newest Firmware, and see how that goes.

last edited by Ultrametric
Admin

@amisss22 said:

Maybe I must back to ver I of Flyme??

No need to double post, next time use the edit function please.

Try to downgrade to 4.0.4I and then to 4.5.5A.

Re-edit:
Or simply try 4.5.5I.

last edited by Rey

Looks like your connection to Meizufans was lost, please wait while we try to reconnect.